package {
    import flash.display.Sprite;
    import flash.display.StageAlign;
    import flash.display.StageScaleMode;
    import flash.net.NetConnection;
    import flash.net.Responder;
    import flash.text.TextField;
    import flash.text.TextFieldAutoSize;

    [SWF(backgroundColor="0xFFFFFF", width="320", height="200")]
    public class WebdbSampleRPC extends Sprite {
        
        private var endpoint:String = 'http://webdbpress.appspot.com/gateway/';
        private var txt:TextField = new TextField();
        
        public function WebdbSampleRPC() {
            stage.scaleMode = StageScaleMode.NO_SCALE;
            stage.align = StageAlign.TOP_LEFT;
            
            var nc:NetConnection = new NetConnection();
            nc.connect(endpoint);
            nc.call("sampleService.echo",
                    new Responder(onEchoResult, onEchoFault),
                    "Hello World");
        }
        
        private function onEchoResult(ret:Object):void {
            txt.text = String(ret);
            txt.autoSize = TextFieldAutoSize.LEFT;
            txt.x = stage.stageWidth / 2 - txt.width / 2;
            txt.y = stage.stageHeight / 2 - txt.height / 2;
            addChild(txt);
        }
        
        private function onEchoFault(res:Object):void {
            txt.text = res.details;
            txt.autoSize = TextFieldAutoSize.LEFT;
            addChild(txt);
        }
    }
}
